import React, {useState, useContext} from 'react'
import InputRange from 'react-input-range'
import 'react-input-range/lib/css/index.css'
import './ImageEditor.scss'
import { ImageContext } from '../../Contexts/ImageContext'
export const ImageEditor = (props) => {
    const [shadow, setShadow] = useState(80);
    const imageContext = useContext(ImageContext)
    return (
        <div id="image-picker" className="image-picker" style={{
            top: `${props.top}px`,
            left: `${props.left}px`,
        }}
        onClick={e => imageContext.setShowImgEdit(true)}
        >
            <div className="picker-heading">
                <h3>Chỉnh sửa ảnh</h3>
            </div>
            <p className="mb-12">Độ mờ</p>
            <div className="d-flex align-content dropdown-numb mb-12">
                    <InputRange
                        maxValue={100}
                        minValue={0}
                        value={shadow}
                        onChange={value => setShadow(value)} 
                    />
                    <p className="value-range">{ shadow }%</p>
            </div>

            <div className="row mb-12">
                <div className="col col-6">
                    <div className="d-flex align-content">
                        <p className="no-wrap mr-6">Xuay</p>
                        <div className="group-btn">
                            <button type="button" name="" id="" className="btn btn-square align-content-end active">
                                <svg xmlns="http://www.w3.org/2000/svg" width={15} height={16} viewBox="0 0 15 16" fill="none">
                                    <path fillRule="evenodd" clipRule="evenodd" d="M13.0894 10.5636C12.8654 10.3119 12.4798 10.2895 12.2282 10.5135C12.1385 10.5933 12.0465 10.67 11.9522 10.7435C11.6864 10.9505 11.6388 11.3338 11.8459 11.5995C12.0529 11.8653 12.4362 11.9129 12.7019 11.7059C12.8172 11.6161 12.9297 11.5223 13.0393 11.4248C13.291 11.2008 13.3134 10.8152 13.0894 10.5636ZM10.4096 12.2631C10.3414 11.9332 10.0187 11.7209 9.68877 11.7891C9.57172 11.8133 9.45365 11.8337 9.33474 11.8502C9.21583 11.8668 9.09667 11.8794 8.97746 11.8881C8.64146 11.9126 8.38895 12.2048 8.41345 12.5408C8.43796 12.8768 8.73021 13.1293 9.06621 13.1048C9.21191 13.0942 9.35754 13.0788 9.50286 13.0586C9.64818 13.0384 9.79249 13.0134 9.93556 12.9839C10.2655 12.9157 10.4777 12.593 10.4096 12.2631ZM6.85057 12.2946C6.9772 11.9824 6.82678 11.6266 6.5146 11.5C6.40384 11.4551 6.29433 11.4064 6.18627 11.3541C6.07821 11.3018 5.97213 11.2461 5.86818 11.1871C5.5752 11.0208 5.20287 11.1235 5.03658 11.4165C4.87028 11.7095 4.97298 12.0818 5.26597 12.2481C5.39302 12.3202 5.52267 12.3883 5.65473 12.4523C5.7868 12.5162 5.92064 12.5756 6.05601 12.6305C6.3682 12.7572 6.72393 12.6067 6.85057 12.2946ZM3.87389 10.3435C4.15263 10.1542 4.22519 9.77489 4.03598 9.49616C3.96884 9.39727 3.90481 9.29599 3.84402 9.19247C3.67344 8.90196 3.29964 8.80474 3.00913 8.97532C2.71862 9.14591 2.6214 9.5197 2.79199 9.81021C2.86628 9.93673 2.94454 10.0605 3.02659 10.1814C3.21581 10.4601 3.59516 10.5327 3.87389 10.3435Z" fill="#999999" fillOpacity="0.3" />
                                    <path fillRule="evenodd" clipRule="evenodd" d="M9.7178 0.120461C8.44481 -0.121432 7.12532 0.00271627 5.92618 0.477208C4.72705 0.951699 3.70213 1.75522 2.98104 2.78616C2.56735 3.37762 2.26432 4.02868 2.08113 4.71041L1.03957 3.11842C0.874923 2.86676 0.527889 2.79025 0.264451 2.94754C0.0010128 3.10483 -0.079072 3.43634 0.0855761 3.688L1.96056 6.55387C2.03963 6.67472 2.16572 6.76062 2.31108 6.79266C2.45644 6.82471 2.60918 6.80028 2.73568 6.72475L5.73567 4.93358C5.99911 4.77629 6.07919 4.44477 5.91455 4.19311C5.7499 3.94145 5.40286 3.86495 5.13943 4.02224L3.10899 5.23452C3.24902 4.57639 3.52203 3.94712 3.91644 3.38324C4.51391 2.52903 5.36313 1.86325 6.3567 1.4701C7.35027 1.07695 8.44356 0.974083 9.49833 1.17451C10.5531 1.37494 11.522 1.86965 12.2824 2.5961C13.0428 3.32254 13.5607 4.24809 13.7705 5.2557C13.9803 6.26331 13.8726 7.30773 13.4611 8.25688C13.3422 8.53106 13.4785 8.84539 13.7655 8.95896C14.0525 9.07253 14.3816 8.94232 14.5005 8.66814C14.9972 7.52262 15.1271 6.26212 14.8739 5.04604C14.6207 3.82996 13.9957 2.71292 13.0779 1.83617C12.1601 0.959426 10.9908 0.362355 9.7178 0.120461Z" fill="#999999" />
                                </svg>
                            </button>
                            <button type="button" name="" id="" className="btn btn-square align-content-end active">
                                <svg xmlns="http://www.w3.org/2000/svg" width={16} height={17} viewBox="0 0 16 17" fill="none">
                                    <path fillRule="evenodd" clipRule="evenodd" d="M1.91059 11.5636C2.13457 11.3119 2.52015 11.2895 2.7718 11.5135C2.86148 11.5933 2.95355 11.67 3.04784 11.7435C3.3136 11.9505 3.36119 12.3338 3.15415 12.5995C2.9471 12.8653 2.56382 12.9129 2.29806 12.7059C2.18281 12.6161 2.07028 12.5223 1.96069 12.4248C1.70904 12.2008 1.68661 11.8152 1.91059 11.5636ZM4.59045 13.2631C4.6586 12.9332 4.9813 12.7209 5.31123 12.7891C5.42828 12.8133 5.54635 12.8337 5.66526 12.8502C5.78417 12.8668 5.90333 12.8794 6.02254 12.8881C6.35854 12.9126 6.61105 13.2048 6.58655 13.5408C6.56204 13.8768 6.26979 14.1293 5.93379 14.1048C5.78809 14.0942 5.64246 14.0788 5.49714 14.0586C5.35182 14.0384 5.20751 14.0134 5.06444 13.9839C4.73451 13.9157 4.5223 13.593 4.59045 13.2631ZM8.14943 13.2946C8.0228 12.9824 8.17322 12.6266 8.4854 12.5C8.59616 12.4551 8.70567 12.4064 8.81373 12.3541C8.92179 12.3018 9.02787 12.2461 9.13182 12.1871C9.4248 12.0208 9.79713 12.1235 9.96342 12.4165C10.1297 12.7095 10.027 13.0818 9.73403 13.2481C9.60698 13.3202 9.47733 13.3883 9.34527 13.4523C9.2132 13.5162 9.07936 13.5756 8.94399 13.6305C8.6318 13.7572 8.27607 13.6067 8.14943 13.2946ZM11.1261 11.3435C10.8474 11.1542 10.7748 10.7749 10.964 10.4962C11.0312 10.3973 11.0952 10.296 11.156 10.1925C11.3266 9.90196 11.7004 9.80474 11.9909 9.97532C12.2814 10.1459 12.3786 10.5197 12.208 10.8102C12.1337 10.9367 12.0555 11.0605 11.9734 11.1814C11.7842 11.4601 11.4048 11.5327 11.1261 11.3435Z" fill="#999999" fillOpacity="0.3" />
                                    <path fillRule="evenodd" clipRule="evenodd" d="M5.2822 1.12046C6.55519 0.878568 7.87468 1.00272 9.07382 1.47721C10.273 1.9517 11.2979 2.75522 12.019 3.78616C12.4327 4.37762 12.7357 5.02868 12.9189 5.71041L13.9604 4.11842C14.1251 3.86676 14.4721 3.79025 14.7355 3.94754C14.999 4.10483 15.0791 4.43634 14.9144 4.688L13.0394 7.55387C12.9604 7.67472 12.8343 7.76062 12.6889 7.79266C12.5436 7.82471 12.3908 7.80028 12.2643 7.72475L9.26433 5.93358C9.00089 5.77629 8.92081 5.44477 9.08545 5.19311C9.2501 4.94145 9.59714 4.86495 9.86057 5.02224L11.891 6.23452C11.751 5.57639 11.478 4.94712 11.0836 4.38324C10.4861 3.52903 9.63687 2.86325 8.6433 2.4701C7.64973 2.07695 6.55644 1.97408 5.50167 2.17451C4.44691 2.37494 3.47804 2.86965 2.7176 3.5961C1.95715 4.32254 1.43928 5.24809 1.22948 6.2557C1.01967 7.26331 1.12735 8.30773 1.5389 9.25688C1.65778 9.53106 1.52149 9.84539 1.23448 9.95896C0.947468 10.0725 0.618425 9.94232 0.499541 9.66814C0.00284348 8.52262 -0.127115 7.26212 0.126099 6.04604C0.379313 4.82996 1.00433 3.71292 1.9221 2.83617C2.83988 1.95943 4.0092 1.36235 5.2822 1.12046Z" fill="#999999" />
                                </svg>
                            </button>
                        </div>
                    </div>
                </div>
                <div className="col col-6">
                    <div className="d-flex align-content justify-end">
                        <p className="no-wrap mr-6">Lật</p>
                        <div className="group-btn">
                            <button type="button" name="" id="" className="btn btn-square active">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none">
                                    <path d="M7.88281 0.492188C7.64011 0.492188 7.44336 0.688935 7.44336 0.931641V1.3711C7.44336 1.6138 7.64011 1.81055 7.88281 1.81055C8.12552 1.81055 8.32226 1.6138 8.32226 1.3711V0.931641C8.32226 0.688935 8.12552 0.492188 7.88281 0.492188Z" fill="#999999"/>
                                    <path d="M7.88281 11.3362C7.64011 11.3362 7.44336 11.533 7.44336 11.7757V12.7216C7.44336 12.9643 7.64011 13.1611 7.88281 13.1611C8.12552 13.1611 8.32226 12.9643 8.32226 12.7216V11.7757C8.32226 11.533 8.12552 11.3362 7.88281 11.3362Z" fill="#999999"/>
                                    <path d="M7.88281 8.49854C7.64011 8.49854 7.44336 8.69538 7.44336 8.938V9.88384C7.44336 10.1266 7.64011 10.3233 7.88281 10.3233C8.12552 10.3233 8.32226 10.1266 8.32226 9.88384V8.938C8.32226 8.69529 8.12552 8.49854 7.88281 8.49854Z" fill="#999999"/>
                                    <path d="M7.88281 5.66107C7.64011 5.66107 7.44336 5.85773 7.44336 6.10052V7.04635C7.44336 7.28896 7.64011 7.4858 7.88281 7.4858C8.12552 7.4858 8.32226 7.28896 8.32226 7.04635V6.10052C8.32226 5.85773 8.12552 5.66107 7.88281 5.66107Z" fill="#999999"/>
                                    <path d="M7.88281 2.82327C7.64011 2.82327 7.44336 3.02002 7.44336 3.26272V4.20864C7.44336 4.45135 7.64011 4.6481 7.88281 4.6481C8.12552 4.6481 8.32226 4.45135 8.32226 4.20864V3.26272C8.32226 3.02002 8.12552 2.82327 7.88281 2.82327Z" fill="#999999"/>
                                    <path d="M7.88281 14.1738C7.64011 14.1738 7.44336 14.3706 7.44336 14.6133V15.0527C7.44336 15.2954 7.64011 15.4922 7.88281 15.4922C8.12552 15.4922 8.32226 15.2954 8.32226 15.0527V14.6133C8.32226 14.3706 8.12552 14.1738 7.88281 14.1738Z" fill="#999999"/>
                                    <path d="M2.9201 4.16586C2.7944 4.04007 2.60534 4.00253 2.44119 4.07056C2.27694 4.13867 2.16991 4.29889 2.16991 4.4766V11.5079C2.16991 11.6856 2.27694 11.8458 2.44128 11.9139C2.49548 11.9364 2.5527 11.9473 2.60928 11.9473C2.72363 11.9473 2.83605 11.9026 2.9201 11.8186L6.43573 8.30296C6.60739 8.1313 6.60739 7.85307 6.43573 7.6815L2.9201 4.16586Z" fill="#999999"/>
                                    <path d="M13.3243 4.07056C13.1603 4.00253 12.9712 4.04007 12.8455 4.16586L9.32989 7.6815C9.15823 7.85316 9.15823 8.13139 9.32989 8.30296L12.8455 11.8186C12.9296 11.9026 13.0419 11.9473 13.1563 11.9473C13.2129 11.9473 13.27 11.9364 13.3243 11.9139C13.4886 11.8458 13.5957 11.6856 13.5957 11.5079V4.4766C13.5957 4.29889 13.4887 4.13867 13.3243 4.07056Z" fill="#999999" fillOpacity="0.3"/>
                                </svg>
                            </button>
                            <button type="button" name="" id="" className="btn btn-square active">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none">
                                    <path d="M15.5078 7.88281C15.5078 7.64011 15.3111 7.44336 15.0684 7.44336H14.6289C14.3862 7.44336 14.1894 7.64011 14.1894 7.88281C14.1894 8.12552 14.3862 8.32226 14.6289 8.32226H15.0684C15.3111 8.32226 15.5078 8.12552 15.5078 7.88281Z" fill="#999999"/>
                                    <path d="M4.66376 7.88281C4.66376 7.64011 4.46701 7.44336 4.2243 7.44336H3.27838C3.03567 7.44336 2.83892 7.64011 2.83892 7.88281C2.83892 8.12552 3.03567 8.32226 3.27838 8.32226H4.2243C4.46701 8.32226 4.66376 8.12552 4.66376 7.88281Z" fill="#999999"/>
                                    <path d="M7.50146 7.88281C7.50146 7.64011 7.30462 7.44336 7.062 7.44336H6.11615C5.87335 7.44336 5.67669 7.64011 5.67669 7.88281C5.67669 8.12552 5.87335 8.32226 6.11615 8.32226H7.062C7.30471 8.32226 7.50146 8.12552 7.50146 7.88281Z" fill="#999999"/>
                                    <path d="M10.3389 7.88281C10.3389 7.64011 10.1423 7.44336 9.89947 7.44336H8.95365C8.71103 7.44336 8.5142 7.64011 8.5142 7.88281C8.5142 8.12552 8.71103 8.32226 8.95365 8.32226H9.89947C10.1423 8.32226 10.3389 8.12552 10.3389 7.88281Z" fill="#999999"/>
                                    <path d="M13.1767 7.88281C13.1767 7.64011 12.98 7.44336 12.7373 7.44336H11.7913C11.5486 7.44336 11.3519 7.64011 11.3519 7.88281C11.3519 8.12552 11.5486 8.32226 11.7913 8.32226H12.7373C12.98 8.32226 13.1767 8.12552 13.1767 7.88281Z" fill="#999999"/>
                                    <path d="M1.82617 7.88281C1.82617 7.64011 1.62943 7.44336 1.38672 7.44336H0.947268C0.704563 7.44336 0.507816 7.64011 0.507816 7.88281C0.507816 8.12552 0.704563 8.32226 0.947268 8.32226H1.38672C1.62943 8.32226 1.82617 8.12552 1.82617 7.88281Z" fill="#999999"/>
                                    <path d="M11.8341 2.92011C11.9599 2.7944 11.9975 2.60535 11.9294 2.44119C11.8613 2.27695 11.7011 2.16992 11.5234 2.16992L4.49214 2.16992C4.31444 2.16992 4.15422 2.27695 4.08611 2.44128C4.06358 2.49548 4.05269 2.5527 4.05269 2.60928C4.05269 2.72363 4.09737 2.83606 4.18141 2.92011L7.69705 6.43573C7.86871 6.6074 8.14694 6.6074 8.31851 6.43573L11.8341 2.92011Z" fill="#999999"/>
                                    <path d="M11.9294 13.3243C11.9975 13.1603 11.9599 12.9712 11.8341 12.8455L8.31851 9.32989C8.14685 9.15823 7.86862 9.15823 7.69705 9.32989L4.18141 12.8455C4.09737 12.9295 4.05269 13.0419 4.05269 13.1563C4.05269 13.2129 4.06358 13.27 4.08611 13.3243C4.15422 13.4886 4.31444 13.5957 4.49214 13.5957H11.5234C11.7011 13.5957 11.8613 13.4887 11.9294 13.3243Z" fill="#999999" fillOpacity="0.3"/>
                                </svg>
                            </button>
                        </div>
                    </div>
                </div>
               
            </div>
            <div className="br-tag"></div>
                <button type="button" name="" id="" className="btn btn-add-image">
                    <svg xmlns="http://www.w3.org/2000/svg" width={14} height={14} viewBox="0 0 14 14" fill="none">
                        <path fillRule="evenodd" clipRule="evenodd" d="M9.88235 3.29414H1.64706C1.19224 3.29414 0.823529 3.66285 0.823529 4.11767V12.353C0.823529 12.8078 1.19224 13.1765 1.64706 13.1765H9.88235C10.3372 13.1765 10.7059 12.8078 10.7059 12.353V4.11767C10.7059 3.66285 10.3372 3.29414 9.88235 3.29414ZM1.64706 2.47061C0.737413 2.47061 0 3.20802 0 4.11767V12.353C0 13.2626 0.737413 14 1.64706 14H9.88235C10.792 14 11.5294 13.2626 11.5294 12.353V4.11767C11.5294 3.20802 10.792 2.47061 9.88235 2.47061H1.64706Z" fill="#999999" />
                        <path fillRule="evenodd" clipRule="evenodd" d="M8.24847 7.00021C8.37812 7.00436 8.49823 7.06937 8.57262 7.17563L11.455 11.2933C11.5854 11.4796 11.5401 11.7363 11.3538 11.8667C11.1675 11.9972 10.9107 11.9518 10.7803 11.7655L8.21331 8.09839L5.26271 11.7866C5.18547 11.8832 5.06893 11.9399 4.94529 11.9412C4.82165 11.9424 4.704 11.888 4.62485 11.793L2.85468 9.66882L0.702926 11.8206C0.542122 11.9814 0.281407 11.9814 0.120603 11.8206C-0.040201 11.6598 -0.040201 11.3991 0.120603 11.2382L2.59119 8.76766C2.673 8.68586 2.78544 8.64224 2.90101 8.64748C3.01658 8.65272 3.12462 8.70634 3.19868 8.79522L4.93467 10.8784L7.91376 7.15454C7.99479 7.05325 8.11882 6.99606 8.24847 7.00021Z" fill="#999999" />
                        <path d="M5.76471 6.17652C5.76471 6.85875 5.21165 7.41181 4.52941 7.41181C3.84718 7.41181 3.29412 6.85875 3.29412 6.17652C3.29412 5.49428 3.84718 4.94122 4.52941 4.94122C5.21165 4.94122 5.76471 5.49428 5.76471 6.17652Z" fill="#999999" />
                        <path fillRule="evenodd" clipRule="evenodd" d="M4.4706 1H12C12.5523 1 13 1.44771 13 2V9.52941C13 9.95745 12.7311 10.3227 12.353 10.4653V11.4984C13.2892 11.3317 14 10.5136 14 9.52941V2C14 0.89543 13.1046 0 12 0H4.4706C3.48647 0 2.66836 0.710806 2.50165 1.64703H3.53468C3.67735 1.26893 4.04257 1 4.4706 1Z" fill="#999999" />
                    </svg>
                    <span>Thay ảnh khác</span>
                </button>
        </div>
    )
}
